### Method

# ICalGLib EnumArray element_add_x_value

since: 4.0

#### Declaration [src]

    void
    i_cal_enum_array_element_add_x_value (
      ICalEnumArray* array,
      const gchar* xvalue
    )

#### Description [src]

Adds an X (custom) value to the `array`, omitting duplicates. See also i_cal_enum_array_element_append_x_value(), i_cal_enum_array_element_add_value().

Available since: 4.0

This method is not directly available to language bindings.

#### Parameters

`xvalue`

  Type: `const gchar*`

  The X (custom) value to append.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.